/*
 * File:   mainwindow.h
 * Author: stefan
 *
 * Created on 29. Dezember 2011, 12:58
 */

#ifndef MAINWINDOW_H
#define	MAINWINDOW_H

#include <QMainWindow>
#include <QImage>

class QSplitter;
class QPlainTextEdit;
class QAction;
class QScrollArea;
class QLabel;

class MainWindow : public QMainWindow {
  Q_OBJECT
public:
  MainWindow();
  ~MainWindow();

  QString readTextFromImage(const QImage &img) const;
  QImage writeTextIntoImage(const QImage &src, const QString &text) const;

public slots:
  void fileOpen();
  void fileSave();
  void fileSaveAs();
  void textChanged();

protected:
  void closeEvent(QCloseEvent *event);

private:
  void initView();
  void initMenu();

private:
  QSplitter *m_splitter;
  QPlainTextEdit *m_edit;
  QLabel *m_label;
  QScrollArea *m_area;

  QAction *m_open;
  QAction *m_save;
  QAction *m_saveAs;
  QAction *m_quit;

  QImage m_image;

  QString m_filename;
};

#endif	/* MAINWINDOW_H */

